# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{serialport}
  s.version = "1.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Guillaume Pierronnet", "Alan Stern", "Daniel E. Shipton", "Tobin Richard", "Hector Parra", "Ryan C. Payne"]
  s.date = %q{2014-07-27}
  s.description = %q{Ruby/SerialPort is a Ruby library that provides a class for using RS-232 serial ports.}
  s.email = %q{hector@hectorparra.com}
  s.extensions = ["ext/native/extconf.rb"]
  s.extra_rdoc_files = ["LICENSE", "README.md"]
  s.files = [".gitignore", ".travis.yml", "CHANGELOG", "CHECKLIST", "Gemfile", "LICENSE", "MANIFEST", "README.md", "Rakefile", "ext/native/extconf.rb", "ext/native/posix_serialport_impl.c", "ext/native/serialport.c", "ext/native/serialport.h", "ext/native/win_serialport_impl.c", "lib/serialport.rb", "lib/serialport/version.rb", "serialport.gemspec", "test/miniterm.rb", "test/set_readtimeout.rb"]
  s.homepage = %q{http://github.com/hparra/ruby-serialport/}
  s.licenses = ["GPL-2"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Library for using RS-232 serial ports.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>, [">= 0.4.1"])
    else
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rake-compiler>, [">= 0.4.1"])
    end
  else
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rake-compiler>, [">= 0.4.1"])
  end
end
